package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TPpePersonMapper;
import com.ruoyi.project.production.domain.TPpePerson;
import com.ruoyi.project.production.service.ITPpePersonService;

/**
 * 员工PPE检查Service业务层处理
 *
 * @author ssy
 * @date 2023-11-28
 */
@Service
public class TPpePersonServiceImpl implements ITPpePersonService
{
    @Autowired
    private TPpePersonMapper tPpePersonMapper;

    /**
     * 查询员工PPE检查
     *
     * @param id 员工PPE检查ID
     * @return 员工PPE检查
     */
    @Override
    public TPpePerson selectTPpePersonById(Long id)
    {
        return tPpePersonMapper.selectTPpePersonById(id);
    }

    @Override
    public TPpePerson selectTPpePersonByEmployeeid(String id)
    {
        return tPpePersonMapper.selectTPpePersonByEmployeeid(id);
    }

    /**
     * 查询员工PPE检查列表
     *
     * @param tPpePerson 员工PPE检查
     * @return 员工PPE检查
     */
    @Override
    public List<TPpePerson> selectTPpePersonList(TPpePerson tPpePerson)
    {
        return tPpePersonMapper.selectTPpePersonList(tPpePerson);
    }

    /**
     * 新增员工PPE检查
     *
     * @param tPpePerson 员工PPE检查
     * @return 结果
     */
    @Override
    public int insertTPpePerson(TPpePerson tPpePerson)
    {
        return tPpePersonMapper.insertTPpePerson(tPpePerson);
    }

    /**
     * 修改员工PPE检查
     *
     * @param tPpePerson 员工PPE检查
     * @return 结果
     */
    @Override
    public int updateTPpePerson(TPpePerson tPpePerson)
    {
        return tPpePersonMapper.updateTPpePerson(tPpePerson);
    }

    /**
     * 批量删除员工PPE检查
     *
     * @param ids 需要删除的员工PPE检查ID
     * @return 结果
     */
    @Override
    public int deleteTPpePersonByIds(Long[] ids)
    {
        return tPpePersonMapper.deleteTPpePersonByIds(ids);
    }

    /**
     * 删除员工PPE检查信息
     *
     * @param id 员工PPE检查ID
     * @return 结果
     */
    @Override
    public int deleteTPpePersonById(Long id)
    {
        return tPpePersonMapper.deleteTPpePersonById(id);
    }

    @Override
    public int deleteTPpePersonByShiftmgr()
    {
        return tPpePersonMapper.deleteTPpePersonByShiftmgr();
    }
}
